singleton Material("coupe.skin.ryukyu")
{
    mapTo = "coupe.skin.ryukyu";
    overlayMap[2] = "vehicles/coupe/bcskins/ryukyu/coupe_skin_ryukyu.dds";
    diffuseMap[2] = "vehicles/coupe/coupe_c_alt.dds";
    specularMap[2] = "vehicles/coupe/coupe_s.dds";
    normalMap[2] = "vehicles/coupe/coupe_n.dds";
    diffuseMap[1] = "vehicles/coupe/coupe_d_alt.dds";
    specularMap[1] = "vehicles/coupe/coupe_s.dds";
    normalMap[1] = "vehicles/coupe/coupe_n.dds";
    diffuseMap[0] = "vehicles/common/null.dds";
    specularMap[0] = "vehicles/common/null.dds";
    normalMap[0] = "vehicles/coupe/coupe_n.dds";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    specularPower[1] = "32";
    pixelSpecular[1] = "1";
    specularPower[2] = "128";
    pixelSpecular[2] = "1";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "1 1 1 1";
    diffuseColor[2] = "1 1 1 1";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    useAnisotropic[2] = "1";
    castShadows = "1";
    translucent = "1";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true;
    instanceDiffuse[2] = true;
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material("coupe_glass.skin.ryukyu")
{
    mapTo = "coupe_glass.skin.ryukyu";
    reflectivityMap[0] = "vehicles/common/glass_base.dds";
    diffuseMap[0] = "vehicles/coupe/bcskins/GALAXIAN_WINDOWS/coupe_galaxian_glass_d.dds";
    opacityMap[0] = "vehicles/coupe/bcskins/GALAXIAN_WINDOWS/coupe_galaxian_glass_d.dds";
    diffuseMap[1] = "vehicles/coupe/bcskins/GALAXIAN_WINDOWS/coupe_galaxian_glass_da.dds";
    specularMap[0] = "vehicles/common/null.dds";
    normalMap[0] = "vehicles/common/null_n.dds";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "0.5 0.5 0.5 0.75";
    useAnisotropic[0] = "1";
    castShadows = "0";
    translucent = "1";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true;
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material("coupe_glass_int.skin.ryukyu")
{
    mapTo = "coupe_glass_int.skin.ryukyu";
    diffuseMap[0] = "vehicles/coupe/bcskins/GALAXIAN_WINDOWS/coupe_galaxian_glass_d.dds";
    specularMap[0] = "vehicles/common/null.dds";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    diffuseColor[0] = "1 1 1 1";
    useAnisotropic[0] = "1";
    castShadows = "0";
    translucent = "1";
    alphaTest = "0";
    doubleSided = "0";
    alphaRef = "0";
    dynamicCubemap = false;
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material("coupe_glass_dmg.skin.ryukyu")
{
    mapTo = "coupe_glass_dmg.skin.ryukyu";
    diffuseMap[0] = "vehicles/coupe/bcskins/GALAXIAN_WINDOWS/coupe_galaxian_glass_dmg_d.dds";
    opacityMap[0] = "vehicles/coupe/bcskins/GALAXIAN_WINDOWS/coupe_galaxian_glass_dmg_d.dds";
    specularMap[0] = "vehicles/common/glass_dmg_s.dds";
    normalMap[0] = "vehicles/common/glass_dmg_n.dds";
    diffuseMap[1] = "vehicles/coupe/bcskins/GALAXIAN_WINDOWS/coupe_galaxian_glass_dmg_d.dds";
    specularMap[1] = "vehicles/common/glass_dmg_s.dds";
    normalMap[1] = "vehicles/common/glass_dmg_n.dds";
    specularPower[0] = "128";
    specularPower[1] = "128";
    diffuseColor[0] = "1 1 1 1.5";
    diffuseColor[1] = "1 1 1 0.75";
    useAnisotropic[0] = "1";
    castShadows = "0";
    translucent = "1";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true;
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material("coupe_windshield_dmg.skin.ryukyu")
{
    mapTo = "coupe_windshield_dmg.skin.ryukyu";
    reflectivityMap[0] = "vehicles/common/glass_base.dds";
    diffuseMap[0] = "vehicles/coupe/bcskins/GALAXIAN_WINDOWS/coupe_galaxian_glass_dmg_d.dds";
    specularMap[0] = "vehicles/common/glass_dmg_s.dds";
    normalMap[0] = "vehicles/common/windshield_dmg_n.dds";
    specularPower[0] = "32";
    diffuseColor[0] = "1.5 1.5 1.5 1";
    useAnisotropic[0] = "1";
    castShadows = "0";
    translucent = "1";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true;
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};