singleton Material("super.skin.solvalou_yellow")
{
    mapTo = "super.skin.solvalou_yellow";
    overlayMap[2] = "vehicles/super/bcskins/solvalou_yellow/super_skin_solvalou_yellow.dds";
    diffuseMap[2] = "vehicles/super/bcskins/RR_BODY_REPLACE/super_c_replace.dds";
    specularMap[2] = "vehicles/super/bcskins/RR_BODY_REPLACE/super_s_replace.dds";
    normalMap[2] = "vehicles/super/super_n.dds";
    diffuseMap[1] = "vehicles/super/bcskins/RR_BODY_REPLACE/super_d_replace.dds";
    specularMap[1] = "vehicles/super/bcskins/RR_BODY_REPLACE/super_s_replace.dds";
    normalMap[1] = "vehicles/super/super_n.dds";
    diffuseMap[0] = "vehicles/common/null.dds";
    specularMap[0] = "vehicles/common/null.dds";
    normalMap[0] = "vehicles/super/super_n.dds";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    specularPower[1] = "32";
    pixelSpecular[1] = "1";
    specularPower[2] = "128";
    pixelSpecular[2] = "1";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "1 1 1 1";
    diffuseColor[2] = "1 1 1 1";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    useAnisotropic[2] = "1";
    castShadows = "1";
    translucent = "1";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true; //cubemap = "BNG_Sky_02_cubemap";
    instanceDiffuse[2] = true;
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material("super_glass.skin.solvalou_yellow")
{
    mapTo = "super_glass.skin.solvalou_yellow";
    reflectivityMap[0] = "vehicles/common/glass_base.dds";
    diffuseMap[0] = "vehicles/super/bcskins/GALAXIAN_WINDOWS/super_galaxian_glass_d.dds";
    opacityMap[0] = "vehicles/super/bcskins/GALAXIAN_WINDOWS/super_galaxian_glass_d.dds";
    diffuseMap[1] = "vehicles/super/bcskins/GALAXIAN_WINDOWS/super_galaxian_glass_da.dds";
    specularMap[0] = "vehicles/common/null.dds";
    normalMap[0] = "vehicles/common/null_n.dds";
    diffuseColor[1] = "0.5 0.5 0.5 0.75";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    diffuseColor[0] = "1 1 1 1";
    useAnisotropic[0] = "1";
    castShadows = "0";
    translucent = "1";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true;
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material("super_glass_int.skin.solvalou_yellow")
{
    mapTo = "super_glass_int.skin.solvalou_yellow";
    diffuseMap[0] = "vehicles/super/bcskins/GALAXIAN_WINDOWS/super_galaxian_glass_d.dds";
    specularMap[0] = "vehicles/common/null.dds";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    diffuseColor[0] = "1 1 1 1";
    useAnisotropic[0] = "1";
    castShadows = "0";
    translucent = "1";
    alphaTest = "0";
    doubleSided = "0";
    alphaRef = "0";
    dynamicCubemap = false;
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material("super_glass_dmg.skin.solvalou_yellow")
{
    mapTo = "super_glass_dmg.skin.solvalou_yellow";
    diffuseMap[0] = "vehicles/super/bcskins/GALAXIAN_WINDOWS/super_galaxian_glass_dmg_d.dds";
    opacityMap[0] = "vehicles/super/bcskins/GALAXIAN_WINDOWS/super_galaxian_glass_dmg_d.dds";
    specularMap[0] = "vehicles/common/glass_dmg_s.dds";
    normalMap[0] = "vehicles/common/glass_dmg_n.dds";
    diffuseMap[1] = "vehicles/super/bcskins/GALAXIAN_WINDOWS/super_galaxian_glass_dmg_d.dds";
    specularMap[1] = "vehicles/common/glass_dmg_s.dds";
    normalMap[1] = "vehicles/common/glass_dmg_n.dds";
    specularPower[0] = "128";
    specularPower[1] = "128";
    diffuseColor[0] = "1 1 1 1.5";
    diffuseColor[1] = "1 1 1 0.75";
    useAnisotropic[0] = "1";
    castShadows = "0";
    translucent = "1";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true;
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material("super_windshield_dmg.skin.solvalou_yellow")
{
    mapTo = "super_windshield_dmg.skin.solvalou_yellow";
    reflectivityMap[0] = "vehicles/common/glass_base.dds";
    diffuseMap[0] = "vehicles/super/bcskins/GALAXIAN_WINDOWS/super_galaxian_glass_dmg_d.dds";
    specularMap[0] = "vehicles/common/glass_dmg_s.dds";
    normalMap[0] = "vehicles/common/windshield_dmg_n.dds";
    specularPower[0] = "32";
    diffuseColor[0] = "1.5 1.5 1.5 1";
    useAnisotropic[0] = "1";
    castShadows = "0";
    translucent = "1";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true;
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};